# logging settings for spring framework
logging.level.org.springframework.web=DEBUG
# client settings

#TODO: CLEAN THIS TWO SETTINGS
# settings
setting1=st1 #useless
setting2=st2 #useless

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
security.activation.status=0

# basic auth credentials (for RestTemplate). Used when security.activation.status=1
security.user.name=<username>
security.user.password=<password>

# rest endpoints. Just a template
rest.endpoint.url.callGet=http://localhost:8080/v1/template/{param}/

#Server port
server.port=9200

# Specific settings (created at build time from Maven pom.xml)
info.app.project=UsageControlFramework
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@

#JDBC configurations
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost/c3isp
spring.datasource.username=<mysql_username>
spring.datasource.password=<mysql_password>

#Hibernate configurations
hibernate.dialect=org.hibernate.dialect.MySQLDialect
hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
hibernate.cache.use_second_level_cache=true
hibernate.cache.use_query_cache=true
hibernate.cache.region.factory_class=org.hibernate.cache.ehcache.EhCacheRegionFactory

#LDAP 
ldap.domainComponent=dc=example,dc=com
ldap.ou=ou=Groups

spring.datasource.data=import_entities.sql
UCSConfig=conf.xml

suca.api.tryaccess=https://<your-iai-domain>:8443/iai-api/ucs

#heartbeat
clock.timeWindow=360
clock.maxMissedHeartbeat=3
